CREATE TABLE ce_recon_history (
    RECON_HISTORY_ID           NUMBER(18, 0),
    RECON_GROUP_NUM            NUMBER(18, 0),
    BANK_ACCOUNT_ID            NUMBER(18, 0),
    RECON_MATCHING_RULE_ID     NUMBER(18, 0),
    RECON_TOLERANCE_RULE_ID    NUMBER(18, 0),
    AUTO_RECON_FLAG            VARCHAR2(4)  ,
    RECON_ACTION               VARCHAR2(8)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    RECON_HISTORY_ID           NUMBER(18, 0),
    RECON_GROUP_NUM            NUMBER(18, 0),
    BANK_ACCOUNT_ID            NUMBER(18, 0),
    RECON_MATCHING_RULE_ID     NUMBER(18, 0),
    RECON_TOLERANCE_RULE_ID    NUMBER(18, 0),
    AUTO_RECON_FLAG            VARCHAR2(4)  ,
    RECON_ACTION               VARCHAR2(8)      NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ce_recon_history PRIMARY KEY (RECON_HISTORY_ID, RECON_HISTORY_ID)
);
